| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoAVFoundation.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoAVFoundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamAVFoundationT | AR2VideoParamAVFoundationT

## Functions
int | ar2VideoDispOptionAVFoundation (void)
AR2VideoParamAVFoundationT * | ar2VideoOpenAVFoundation (const char *config)
int | ar2VideoCloseAVFoundation (AR2VideoParamAVFoundationT *vid)
int | ar2VideoGetIdAVFoundation (AR2VideoParamAVFoundationT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeAVFoundation (AR2VideoParamAVFoundationT *vid, int *x, int *y)
int | ar2VideoGetPixelFormatAVFoundation (AR2VideoParamAVFoundationT *vid)
AR2VideoBufferT * | ar2VideoGetImageAVFoundation (AR2VideoParamAVFoundationT *vid)
int | ar2VideoCapStartAVFoundation (AR2VideoParamAVFoundationT *vid)
int | ar2VideoCapStopAVFoundation (AR2VideoParamAVFoundationT *vid)
int | ar2VideoGetParamiAVFoundation (AR2VideoParamAVFoundationT *vid, int paramName, int *value)
int | ar2VideoSetParamiAVFoundation (AR2VideoParamAVFoundationT *vid, int paramName, int value)
int | ar2VideoGetParamdAVFoundation (AR2VideoParamAVFoundationT *vid, int paramName, double *value)
int | ar2VideoSetParamdAVFoundation (AR2VideoParamAVFoundationT *vid, int paramName, double value)
int | ar2VideoGetParamsAVFoundation (AR2VideoParamAVFoundationT *vid, const int paramName, char **value)
int | ar2VideoSetParamsAVFoundation (AR2VideoParamAVFoundationT *vid, const int paramName, const char *value)
int | ar2VideoCapStartAsyncAVFoundation (AR2VideoParamAVFoundationT *vid, AR_VIDEO_FRAME_READY_CALLBACK callback, void *userdata)
int | ar2VideoSetBufferSizeAVFoundation (AR2VideoParamAVFoundationT *vid, const int width, const int height)
int | ar2VideoGetBufferSizeAVFoundation (AR2VideoParamAVFoundationT *vid, int *width, int *height)
int | ar2VideoGetCParamAVFoundation (AR2VideoParamAVFoundationT *vid, ARParam *cparam)
AR2VideoParamAVFoundationT * | ar2VideoOpenAsyncAVFoundation (const char *config, void(*callback)(void *), void *userdata)
ARVideoSourceInfoListT * | ar2VideoCreateSourceInfoListAVFoundation (const char *config_in)

## Typedef Documentation

## ◆ AR2VideoParamAVFoundationT

typedef struct _AR2VideoParamAVFoundationT AR2VideoParamAVFoundationT

## Function Documentation

## ◆ ar2VideoCapStartAsyncAVFoundation()

int ar2VideoCapStartAsyncAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | AR_VIDEO_FRAME_READY_CALLBACK | callback,
|  | void * | userdata
| ) |  |

## ◆ ar2VideoCapStartAVFoundation()

int ar2VideoCapStartAVFoundation | ( | AR2VideoParamAVFoundationT * | vid | ) |

## ◆ ar2VideoCapStopAVFoundation()

int ar2VideoCapStopAVFoundation | ( | AR2VideoParamAVFoundationT * | vid | ) |

## ◆ ar2VideoCloseAVFoundation()

int ar2VideoCloseAVFoundation | ( | AR2VideoParamAVFoundationT * | vid | ) |

## ◆ ar2VideoCreateSourceInfoListAVFoundation()

ARVideoSourceInfoListT * ar2VideoCreateSourceInfoListAVFoundation | ( | const char * | config_in | ) |

## ◆ ar2VideoDispOptionAVFoundation()

int ar2VideoDispOptionAVFoundation | ( | void |  | ) |

## ◆ ar2VideoGetBufferSizeAVFoundation()

int ar2VideoGetBufferSizeAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int * | width,
|  | int * | height
| ) |  |

## ◆ ar2VideoGetCParamAVFoundation()

int ar2VideoGetCParamAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | ARParam * | cparam
| ) |  |

## ◆ ar2VideoGetIdAVFoundation()

int ar2VideoGetIdAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageAVFoundation()

AR2VideoBufferT * ar2VideoGetImageAVFoundation | ( | AR2VideoParamAVFoundationT * | vid | ) |

## ◆ ar2VideoGetParamdAVFoundation()

int ar2VideoGetParamdAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiAVFoundation()

int ar2VideoGetParamiAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsAVFoundation()

int ar2VideoGetParamsAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatAVFoundation()

int ar2VideoGetPixelFormatAVFoundation | ( | AR2VideoParamAVFoundationT * | vid | ) |

## ◆ ar2VideoGetSizeAVFoundation()

int ar2VideoGetSizeAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenAsyncAVFoundation()

AR2VideoParamAVFoundationT * ar2VideoOpenAsyncAVFoundation | ( | const char * | config,
|  | void(*)(void *) | callback,
|  | void * | userdata
| ) |  |

## ◆ ar2VideoOpenAVFoundation()

AR2VideoParamAVFoundationT * ar2VideoOpenAVFoundation | ( | const char * | config | ) |

## ◆ ar2VideoSetBufferSizeAVFoundation()

int ar2VideoSetBufferSizeAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | const int | width,
|  | const int | height
| ) |  |

## ◆ ar2VideoSetParamdAVFoundation()

int ar2VideoSetParamdAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiAVFoundation()

int ar2VideoSetParamiAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsAVFoundation()

int ar2VideoSetParamsAVFoundation | ( | AR2VideoParamAVFoundationT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |